NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Protected Member Functions | Properties | List of all members
NXOpen.CAE.BeamSectionOrientationOptions Class Reference

More...

Inheritance diagram for NXOpen.CAE.BeamSectionOrientationOptions:
NXOpen.TransientObject NXOpen.Utilities.NXRemotableObject IDisposable IMessageSink

Public Types

enum  Method { ByVector, ByNode }
 Represents the orientation definition method More...
 

Protected Member Functions

override void FreeResource ()
 Destroys the object More...
 

Properties

unsafe
NXOpen.CAE.BeamSection.DirectionOption 
DirectionType [get, set]
 Returns or sets the direction type More...
 
unsafe
NXOpen.CAE.BeamSectionOrientationOptions.Method 
MethodType [get, set]
 Returns or sets the orientation definition method More...
 
unsafe NXOpen.CAE.FENode Node [get, set]
 Returns or sets the node used to orient beam. More...
 
unsafe NXOpen.CAE.FEElement OrientedElement [get, set]
 Returns or sets the element to be oriented. More...
 
unsafe NXOpen.Direction Vector [get, set]
 Returns or sets the orientation vector. More...
 
- Properties inherited from NXOpen.TransientObject
IntPtr Handle [get]
 Handle of the internal object represented by this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.TransientObject
void Dispose ()
 Frees the object from memory. More...
 
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
new string ToString ()
 Returns a String that represents the current Object. More...
 

Detailed Description

To create a new instance of this class, use NXOpen.CAE.CaePart.NewBeamSectionOrientationOptions

Created in NX7.5.0

Member Enumeration Documentation

Represents the orientation definition method

Enumerator
ByVector 
ByNode 

Member Function Documentation

override void NXOpen.CAE.BeamSectionOrientationOptions.FreeResource ( )
inlineprotectedvirtual

Destroys the object

Created in NX7.5.0

License requirements: None.

Implements NXOpen.TransientObject.

Property Documentation

unsafe NXOpen.CAE.BeamSection.DirectionOption NXOpen.CAE.BeamSectionOrientationOptions.DirectionType
getset

Returns or sets the direction type

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe NXOpen.CAE.BeamSectionOrientationOptions.Method NXOpen.CAE.BeamSectionOrientationOptions.MethodType
getset

Returns or sets the orientation definition method

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe NXOpen.CAE.FENode NXOpen.CAE.BeamSectionOrientationOptions.Node
getset

Returns or sets the node used to orient beam.

Only available when the orientation method is CAE.BeamSectionOrientationOptions.Method.ByNode

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe NXOpen.CAE.FEElement NXOpen.CAE.BeamSectionOrientationOptions.OrientedElement
getset

Returns or sets the element to be oriented.

Only available when the orientation method is CAE.BeamSectionOrientationOptions.Method.ByVector

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe NXOpen.Direction NXOpen.CAE.BeamSectionOrientationOptions.Vector
getset

Returns or sets the orientation vector.

Only available when definition method is CAE.BeamSectionOrientationOptions.Method.ByVector

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.